net/libgdata0.6 - The NetBSD Packages Collection

Google Data API based Glib client library

libgdata is a GLib-based library for accessing online service APIs using the
GData protocol Google's services. It provides APIs to access the common Google
services, and has full asynchronous support.

Build dependencies

textproc/gtk-doc pkgtools/cwrappers textproc/gtk-doc devel/glib2-tools devel/libtool-base textproc/intltool devel/gmake lang/perl5 devel/pkgconf

Runtime dependencies

devel/GConf devel/glib2 devel/glib2 textproc/libxml2 net/libsoup net/libsoup devel/GConf devel/glib2 textproc/libxml2 net/libsoup

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hflibgdata-0.6.6nb32.tgz
NetBSD 8.0earmv7hflibgdata-0.6.6nb31.tgz
NetBSD 8.0earmv7hflibgdata-0.6.6nb32.tgz
NetBSD 8.0i386libgdata-0.6.6nb31.tgz
NetBSD 8.0i386libgdata-0.6.6nb32.tgz
NetBSD 8.0i386libgdata-0.6.6nb32.tgz
NetBSD 8.0powerpclibgdata-0.6.6nb31.tgz
NetBSD 8.0powerpclibgdata-0.6.6nb32.tgz
NetBSD 8.0powerpclibgdata-0.6.6nb32.tgz
NetBSD 8.0x86_64libgdata-0.6.6nb32.tgz
NetBSD 8.0x86_64libgdata-0.6.6nb31.tgz
NetBSD 8.0x86_64libgdata-0.6.6nb32.tgz
NetBSD 9.0aarch64libgdata-0.6.6nb32.tgz
NetBSD 9.0aarch64libgdata-0.6.6nb31.tgz
NetBSD 9.0aarch64libgdata-0.6.6nb32.tgz
NetBSD 9.0alphalibgdata-0.6.6nb32.tgz
NetBSD 9.0alphalibgdata-0.6.6nb31.tgz
NetBSD 9.0alphalibgdata-0.6.6nb32.tgz
NetBSD 9.0earmv6hflibgdata-0.6.6nb32.tgz
NetBSD 9.0earmv6hflibgdata-0.6.6nb31.tgz
NetBSD 9.0earmv6hflibgdata-0.6.6nb32.tgz
NetBSD 9.0earmv6hflibgdata-0.6.6nb32.tgz
NetBSD 9.0earmv7hflibgdata-0.6.6nb32.tgz
NetBSD 9.0earmv7hflibgdata-0.6.6nb31.tgz
NetBSD 9.0earmv7hflibgdata-0.6.6nb32.tgz
NetBSD 9.0earmv7hflibgdata-0.6.6nb32.tgz
NetBSD 9.0earmv7hflibgdata-0.6.6nb32.tgz
NetBSD 9.0i386libgdata-0.6.6nb31.tgz
NetBSD 9.0i386libgdata-0.6.6nb32.tgz
NetBSD 9.0i386libgdata-0.6.6nb32.tgz
NetBSD 9.0mips64eblibgdata-0.6.6nb32.tgz
NetBSD 9.0mips64eblibgdata-0.6.6nb31.tgz
NetBSD 9.0mips64eblibgdata-0.6.6nb32.tgz
NetBSD 9.0powerpclibgdata-0.6.6nb32.tgz
NetBSD 9.0powerpclibgdata-0.6.6nb31.tgz
NetBSD 9.0powerpclibgdata-0.6.6nb32.tgz
NetBSD 9.0sparc64libgdata-0.6.6nb32.tgz
NetBSD 9.0sparc64libgdata-0.6.6nb31.tgz
NetBSD 9.0sparc64libgdata-0.6.6nb32.tgz
NetBSD 9.0sparclibgdata-0.6.6nb31.tgz
NetBSD 9.0x86_64libgdata-0.6.6nb32.tgz
NetBSD 9.0x86_64libgdata-0.6.6nb32.tgz
NetBSD 9.0x86_64libgdata-0.6.6nb32.tgz
NetBSD 9.0x86_64libgdata-0.6.6nb32.tgz
NetBSD 9.0x86_64libgdata-0.6.6nb31.tgz
NetBSD 9.0x86_64libgdata-0.6.6nb32.tgz
NetBSD 9.0x86_64libgdata-0.6.6nb32.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

gnome
Enable GNOME support.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.